> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1streamtraces spans

> Stream spans for a specific trace



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/stream/traces/{traceId}/spans
openapi: 3.0.0
info:
  title: QYL Observability API
  version: '2026-01-26'
servers:
  - url: https://api.staging.qyl.dev
    description: QYL Staging API
    variables: {}
  - url: https://api.qyl.dev
    description: QYL Production API
    variables: {}
security: []
tags:
  - name: Streaming
  - name: Traces
  - name: Logs
  - name: Metrics
  - name: Sessions
  - name: Errors
  - name: Deployments
  - name: Services
  - name: Health
  - name: Workspaces
  - name: Onboarding
  - name: Configurator
  - name: Issues
  - name: Workflows
  - name: Search
  - name: Alerts
paths:
  /api/v1/stream/traces/{traceId}/spans:
    get:
      tags:
        - Streaming
      description: Stream spans for a specific trace
      operationId: StreamingApi_streamTraceSpans
      parameters:
        - name: traceId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Qyl.Common.TraceId'
      responses:
        '200':
          description: The request has succeeded.
          content:
            text/event-stream:
              schema:
                type: string
components:
  schemas:
    Qyl.Common.TraceId:
      type: string
      minLength: 32
      maxLength: 32
      pattern: ^[a-f0-9]{32}$
      description: Unique trace identifier (32 lowercase hex characters)
      example: 0af7651916cd43dd8448eb211c80319c
      x-csharp-type: TraceId
      x-csharp-struct: true
      x-duckdb-type: VARCHAR(32)

````